code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/usr/bin/env bash
#
# Variables
#
D=$PWD
#
# Functions
#
usage()
{
cat << EOF
usage: $0 options
This script is designed to produce a new attributes json file with Chef Analytics
required changes for tf_chef_analytics Terraform plan.
OPTIONS:
-h This help message
-v Verbose output
EOF
}
whil... | mengesb/tf_chef_analytics | files/chef-cookbooks.sh | Shell | apache-2.0 | 955 |
#!/bin/bash
set -e
export MAVENW_BIN
MAVENW_BIN="${MAVENW_BIN:-./mvnw}"
# It takes ages on Docker to run the app without this
if [[ ${BUILD_OPTIONS} != *"java.security.egd"* ]]; then
if [[ ! -z ${BUILD_OPTIONS} && ${BUILD_OPTIONS} != "null" ]]; then
export BUILD_OPTIONS="${BUILD_OPTIONS} -Djava.security.egd=file:... | spring-cloud/spring-cloud-pipelines | common/src/main/bash/projectType/pipeline-maven.sh | Shell | apache-2.0 | 5,607 |
wget -O glyphicons-halflings-regular.eot http://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/fonts/glyphicons-halflings-regular.eot
wget -O glyphicons-halflings-regular.svg http://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/fonts/glyphicons-halflings-regular.svg
wget -O glyphicons-halflings-regular.ttf http://maxcdn.bootstrapcd... | ronaldbradford/prototype | fonts/sync.sh | Shell | apache-2.0 | 642 |
#!/bin/bash
set -e
INSTALL_DIR=/home/icecp/"<%= version %>"-"<%= iteration %>"
SOFT_LINK=/home/icecp/icecp-node
after_remove()
{
echo "Performing post-removal steps for <%= name %> version=<%= version %> iteration=<%= iteration %>"
# Remove soft link and icecp-node directory contents
if [ -L $SOFT_LINK ] &&... | icecp/icecp | icecp-node/packaging/scripts/after-remove.sh | Shell | apache-2.0 | 544 |
#!/usr/bin/env bash
#
# The Alluxio Open Foundation licenses this work under the Apache License, version 2.0
# (the "License"). You may not use this work except in compliance with the License, which is
# available at www.apache.org/licenses/LICENSE-2.0
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRA... | yuluo-ding/alluxio | libexec/alluxio-config.sh | Shell | apache-2.0 | 4,415 |
#
# This file must be used by invoking "source activate.sh" from the command line.
# You cannot run it directly.
# To exit from the environment this creates, execute the 'deactivate' function.
_RED="\033[0;31m"
_MAGENTA="\033[0;95m"
_YELLOW="\033[0;33m"
_RESET="\033[0m"
# This detects if a script was sourced or invok... | grpc/grpc-dotnet | activate.sh | Shell | apache-2.0 | 3,075 |
#!/bin/bash
docker run --rm \
-e PGPASSWORD=${PGPASSWORD} \
-e PGHOST=ims-postgres \
-e PGUSER=${PGUSER} \
-e PGDATABASE=${PGDATABASE} \
--cap-drop=all \
--net=ebisc \
-v /tmp/db_dump:/tmp/db_dump:Z \
ebisc/postgres:latest \
sh -c "pg_dump | gzip -c > /tmp/db_dump/ebisc.sql.gz"
| EBiSC/ebisc_deployment | roles/ims/files/scripts/dump_db.bash | Shell | apache-2.0 | 298 |
csscombine -m style.css > style-min.css
| devsar/ae-people | static/css/build-css.sh | Shell | apache-2.0 | 40 |
#!/bin/bash
#
# Copyright (C) 2010-2016 dtk contributors
#
# This file is part of the dtk project.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2... | dtk/dtk-server | scripts/git_repo_tagging/add_dtk_modules.sh | Shell | apache-2.0 | 3,231 |
#!/usr/bin/env bash
# Copyright 2014 Pants project contributors (see CONTRIBUTORS.md).
# Licensed under the Apache License, Version 2.0 (see LICENSE).
REPO_ROOT=$(cd $(dirname "${BASH_SOURCE[0]}") && cd "$(git rev-parse --show-toplevel)" && pwd)
source ${REPO_ROOT}/build-support/common.sh
PANTS_EXE="${REPO_ROOT}/pan... | tejal29/pants | build-support/bin/publish_docs.sh | Shell | apache-2.0 | 2,355 |
#!/bin/bash
JAVA_VERSION=`java -version 2>&1 | awk 'NR==1{ gsub(/"/,""); print $3 }'`
if [[ $JAVA_VERSION == 11* ]]; then
echo "Java version ok: $JAVA_VERSION"
else
echo "Java version is expected as 11 but $JAVA_VERSION. try:"
echo "export JAVA_HOME=\`/usr/libexec/java_home -v 11\`"
exit 1
fi
| michaelliao/warpdb | check_java_version.sh | Shell | apache-2.0 | 304 |
source ../admin-openrc.sh
mkdir -p /tmp/images
wget -P /tmp/images http://download.cirros-cloud.net/0.3.4/cirros-0.3.4-x86_64-disk.img
glance image-create --name "cirros-0.3.4-x86_64" --file /tmp/images/cirros-0.3.4-x86_64-disk.img \
--disk-format qcow2 --container-format bare --is-public True --progress
glance image-l... | sxh615/kilo-install | glance/script/5.verify.sh | Shell | apache-2.0 | 343 |
#!/bin/sh
COMMAND=`cat getdata.sh`
# Run getdata.sh to fetch info in remote hosts
pscp.pssh -h hosts getdata.sh /tmp/tmp.sh >>/dev/null
pssh -h hosts -o ./data "sh /tmp/tmp.sh"
pssh -h hosts "rm /tmp/tmp.sh" >>/dev/null
#analize data in directory 'data'
sh ana.sh
| matrixj/scmonitor | main.sh | Shell | apache-2.0 | 267 |
#!/bin/sh
set -e
: ${KUBE_MASTER_VCPUS:=2}
: ${KUBE_MASTER_MEM:=1024}
: ${KUBE_MASTER_DISK:=4G}
: ${KUBE_MASTER_UNTAINT:=n}
: ${KUBE_NODE_VCPUS:=2}
: ${KUBE_NODE_MEM:=4096}
: ${KUBE_NODE_DISK:=8G}
: ${KUBE_NETWORKING:=default}
: ${KUBE_RUN_ARGS:=}
: ${KUBE_EFI:=}
: ${KUBE_MAC:=}
: ${KUBE_CLEAR_STATE:=}
[ "$(uname ... | mor1/linuxkit | projects/kubernetes/boot.sh | Shell | apache-2.0 | 2,119 |
#!/bin/bash
# This script sets up a go workspace locally and builds all go components.
source "$(dirname "${BASH_SOURCE}")/lib/init.sh"
"${OS_ROOT}/hack/build-go.sh" tools/gendocs tools/genman
# Find binary
gendocs="$(os::build::find-binary gendocs)"
genman="$(os::build::find-binary genman)"
if [[ -z "$gendocs" ]];... | gashcrumb/origin | hack/update-generated-docs.sh | Shell | apache-2.0 | 1,257 |
#!/bin/bash -
###############################################################################
##
## ___________ _____________ ___ .____ .___ _________ _____
## \_ _____// _____/\ \/ / | | | |/ _____/ / _ \
## | __)_ \_____ \ \ / ______ | | | |\_____ \ / /... | HiRoySoft/ESX-LISA | remote-scripts/utils.sh | Shell | apache-2.0 | 55,551 |
#!/bin/bash
# Copyright 2017 - 2022 Crunchy Data Solutions, Inc.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicabl... | CrunchyData/crunchy-containers | bin/pgbackrest-restore/pgbackrest-restore.sh | Shell | apache-2.0 | 3,905 |
#!/bin/bash
set -e
TEST_DIR=$PWD
echo "Generating the dax..."
export PYTHONPATH=`pegasus-config --python`
python daxgen.py dax.xml
cat > sites.yml <<END
pegasus: "5.0"
sites:
-
name: "local"
arch: "x86_64"
os.type: "linux"
directories:
-
type: "sharedStorage"
path: "$TEST_DIR/outputs"
fileSe... | pegasus-isi/pegasus | test/core/020-pmc-only/plan.sh | Shell | apache-2.0 | 724 |
#!/bin/bash
# Script to update application variables for continuous deployments
# Just replace you github details here and modify the paths as needed
githib_id=
github_secret=
sed -i.bak "s/your-github-app-client-id/$githib_id/g" backend/src/main/resources/application.yml
sed -i.bak "s/your-github-app-client-secret/... | orionhealth/XBDD | deploy-scripts/updateProperties.sh | Shell | apache-2.0 | 381 |
find -iname "* .*"
find -iname "* *"
find -iname " *"
find -iname "* "
find -iname "*."
rename -v -n "s/ / /g" *
rename -v "s/ / /g" *
| bernardladenthin/BroomCabinet | LinuxHelper/NTFSNamingCheck.sh | Shell | apache-2.0 | 148 |
#!/bin/bash
# The IP for the server you wish to ping (8.8.8.8 is a public Google DNS server)
SERVER=8.8.8.8
LOOP_TIME=600
# Only send two pings, sending output to /dev/null
LAST_CHECK=0
while [ "1" == "1" ]; do
CUR_TIME=$(date +%s)
DELTA_TIME=$(( $CUR_TIME - $LAST_CHECK ))
if [ "$DELTA_TIME" -gt "$LOOP_TI... | JohnOmernik/pimeup | wifi_checker/wifi_checker.sh | Shell | apache-2.0 | 650 |
#!/bin/bash
set -e
DEPLOY=`dirname $0`/..
#
# EDIT HERE
# Variables prepended with ### are suitable for replacement
# by autogenerated scripts
#
###MAINJAR=
export MAINCLASS=dk.statsbiblioteket.summa.search.tools.SummaSearcherRunner
export CODEBASE_BASEURL="file://$DEPLOY/lib"
export PRINT_CONFIG=
export NAME=summ... | statsbiblioteket/summa | Summix/bin/summa-searcher.sh | Shell | apache-2.0 | 706 |
#!/bin/bash
set -euxo pipefail
docker image build -t lhci-server .
docker volume create lhci-data-test
docker run --name lhci-server-container --mount='source=lhci-data-test,target=/data' --detach lhci-server
set +e
docker exec -i lhci-server-container bash < test-in-container.sh
EXIT_CODE=$?
set -e
docker logs lhc... | GoogleChrome/lighthouse-ci | docs/recipes/docker-server/test.sh | Shell | apache-2.0 | 453 |
#!/bin/bash
supervisorctl -c /usr/local/supervisord/nimbus.cfg stop storm-ui
supervisorctl -c /usr/local/supervisord/nimbus.cfg stop storm-nimbus
| roboconf/roboconf-examples | storm-bash/src/main/model/graph/storm_nimbus/scripts/stop.sh | Shell | apache-2.0 | 148 |
#!/bin/sh
set -x
cat > /etc/systemd/system/build-harbor.service <<EOF
[Unit]
Description=Builds HarborOS
[Service]
Type=simple
ExecStart=/usr/local/bin/build-harbor
EOF
cat > /etc/systemd/system/build-harbor.timer <<EOF
[Unit]
Description=Builds HarborOS Every 60 minutes
[Timer]
OnCalendar=*-*-* *:00:00
EOF
cat > ... | portdirect/harbor | tools/setup-release-build.sh | Shell | apache-2.0 | 1,320 |
#!/bin/bash
# Copyright 2014 Paul R. Dixon (info@opendcd.org)
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# THIS CODE IS PROVIDED *AS IS* B... | opendcd/opendcd | egs/librispeech-decode-wav.sh | Shell | apache-2.0 | 1,322 |
#!/bin/sh
sudo -n /opt/engines/system/scripts/ssh/sudo/_install_cert.sh $1 $2
exit $? | EnginesOS/System | system/scripts/ssh/install_cert.sh | Shell | apache-2.0 | 87 |
#!/bin/sh
# install blas libraries
echo 'compiling blas ...'
cd Blas
gfortran -O2 -c *.f
ar cr libblas.a *.o
mv libblas.a ../
cd ..
# install lapack libraries
echo 'install lapack ...'
cd Lapack
make all
mv *.a ../
cd ..
# install lapack95 interface
echo 'install lapack95 interface ...'
cd Lapack95/SRC
make ... | sradanov/flyingpigeon | flyingpigeon/Fsrc/install.sh | Shell | apache-2.0 | 613 |
#!/bin/bash
clear
g++ -Wall -o bin/fe src/main.cxx src/*.cpp -lX11 -lGL -lGLU -lm -I/usr/include/freetype2 -lfreetype
| Dotrar/Fountain | oldEngine/build.sh | Shell | apache-2.0 | 119 |
sudo rpm -Uvh http://repos.mesosphere.com/el/7/noarch/RPMS/mesosphere-el-repo-7-1.noarch.rpm
sudo yum -y install mesos marathon wget git java-1.7.0-openjdk maven
sudo systemctl stop firewalld
sudo sed -i '1s/^/nameserver 10.111.111.10\n /' /etc/resolv.conf
mkdir -p /var/zookeeper
wget http://www-eu.apache.org/dist/zook... | lastcosmonaut/mesos-playground | vagrant/master.sh | Shell | apache-2.0 | 1,635 |
#!/bin/bash -xe
core_vpn="default"
edge_vpn="default"
edge_name=`hostname -s`
edge_dns="localhost"
semp_port="8080"
while getopts "c:d:e:f:n:p:s:u:" opt; do
case "$opt" in
c) core_vpn=$OPTARG
;;
d) core_dns=$OPTARG
;;
e) edge_vpn=$OPTARG
;;
f) edge_dns=$OPTARG
... | KenBarr/Solace_testing_in_AWS | scripts/core-queue-configure.sh | Shell | apache-2.0 | 1,059 |
# Install chisel for debugging in lldb
brew install chisel
if [[ ! -e ~/.lldbinit ]]; then
cp ~/.macbootstrap/config/.lldbinit ~/.lldbinit
else
if grep -q "/usr/local/opt/chisel/libexec/fblldb.py" "$HOME/.lldbinit"; then
echo "Chisel is installed"
else
echo "command script import /usr/local/... | bestswifter/macbootstrap | install-steps/dependencies.before.sh | Shell | apache-2.0 | 684 |
#!/bin/bash
# this is not needed as I disable NM
HOSTS=$(ruby -rjson -e 'nodes=JSON.parse(File.read("nodes.json"))["nodes"];str=[];nodes.each do |n| str<< n[0] end;puts str.join(" ")')
for i in ${HOSTS}
do
#if [[ ${i} =~ slave* ]]
#then
echo vagrant ssh ${i} -c \"sudo systemctl restart network.service\"
#... | ashayh/playa-mesos-centos | restart-network.sh | Shell | apache-2.0 | 328 |
# -----------------------------------------------------------------------------
#
# Package : webmozart/assert
# Version : 1.10.0
# Source repo : https://github.com/webmozarts/assert
# Tested on : RHEL 8.3
# Script License: Apache License, Version 2 or later
# Maintainer : BulkPackageSearch Automation <sethp@us.ibm.com... | ppc64le/build-scripts | w/webmozart__assert/webmozart__assert_rhel_8.3.sh | Shell | apache-2.0 | 2,686 |
#! /bin/bash
# Install latest docker
sudo apt-key -y adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 36A1D7869245C8950F966E92D8576A8BA88D21E9
sudo sh -c "echo deb https://get.docker.io/ubuntu docker main > /etc/apt/sources.list.d/docker.list"
sudo apt-get update
sudo apt-get install lxc-docker
# Docker with... | ipedrazas/pycones-docker | setup.sh | Shell | apache-2.0 | 952 |
#!/bin/bash
START=$(date +"%s")
echo -en "\nTo release all of the resources, inside the directory execute: ./reposeDemo-7-Release.sh\n"
sudo shutdown -h now
STOP=$(date +"%s")
DIFF=$(($STOP-$START))
echo -en "\nTime to complete: $(($DIFF / 60)) minutes and $(($DIFF % 60)) seconds\n\n"
| wdschei/ReposeQuickStart | reposeDemo-6-Shutdown.sh | Shell | apache-2.0 | 290 |
#!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); ... | xhochy/arrow | dev/tasks/gandiva-jars/build-java.sh | Shell | apache-2.0 | 2,157 |
#!/bin/bash
# Automatic build script for simple-share
# for iOS and iOSSimulator
#
# Created by Felix Schulze on 01.06.12.
# Copyright 2012 Felix Schulze. All rights reserved.
###########################################################################
#
SDKVERSION="6.1"
#
##########################################... | x2on/simple-share-ios | build.sh | Shell | apache-2.0 | 1,362 |
#!/usr/bin/env bash
# exit immediately when a command fails
set -e
# only exit with zero if all commands of the pipeline exit successfully
set -o pipefail
# error on unset variables
set -u
kubectl -n prometheus-operator-e2e-tests exec -it prometheus-test-0 -c prometheus '/bin/sh -c "cat /etc/prometheus/rules/rules-0/t... | jescarri/prometheus-operator | hack/show-rules.sh | Shell | apache-2.0 | 332 |
sudo apt-get install -y gcc-mingw32 #- The GNU Compiler Collection (cross compiler for MingW32)
sudo apt-get install -y libconfig++8 #- parsing and manipulation of structured configuration files(C++ binding)
sudo apt-get install -y libconfig++8-dev #- parsing and manipulation of structured config files(C++ development)... | bayvictor/distributed-polling-system | bin/install_mingw_for_win32_target_cross-compiler.sh | Shell | apache-2.0 | 834 |
#!/bin/bash
# Make sure only root can run our script
if [[ $EUID -ne 0 ]]; then
echo "This script must be run as root" 1>&2
exit 1
fi
# dc = delete-cache
# up = upgrade
# it = install
eopkg dc
eopkg up -y
eopkg it -y -c system.devel
eopkg it -y cmus curl emacs git htop lsof neofetch nmap strace tcpdump vim wge... | Bean6754/unixscripts | setup-scripts/Solus-Desktop.sh | Shell | bsd-2-clause | 941 |
#!/bin/bash
################################################################################
#
# Script to download and extact the trec queries
#
# [1] http://www.cim.mcgill.ca/~dudek/206/Logs/AOL-user-ct-collection/
#
################################################################################
echo "Startin... | kurpicz/dpt | data/trec_queries/dl_and_prepare_trec_queries.sh | Shell | bsd-2-clause | 1,059 |
#fourweeks
cp /ramcache/www/3weeksago.png /ramcache/www/4weeksago.png
#threeweeks
cp /ramcache/www/lastweek.png /ramcache/www/3weeksago.png
#lastweek
cp /ramcache/www/thisweek.png /ramcache/www/lastweek.png
#weekly graph
rrdtool graph '/ramcache/www/thisweek.png' \
--title "Week `date -d "last week" +%U` Sensor Data" ... | trelane/aquaponics | weeklyrotate.sh | Shell | bsd-2-clause | 863 |
#!/bin/bash
CONFIG_PATH="$1"
ACCESS_KEY="$(jq -r .credential.accessKey $CONFIG_PATH)"
SECRET_KEY="$(jq -r .credential.secretKey $CONFIG_PATH)"
ARN="arn:minio:sqs:us-east-1:1:webhook"
URL="http://localhost:9000"
ALIAS="local-minio"
BUCKET="layers"
function check_configuration() {
local s=$(mc config host list | g... | cvmfs/docker-graphdriver | provision/setup_minio_webhook.sh | Shell | bsd-3-clause | 866 |
#!/bin/bash
# Copyright (c) 2013 The libmumble Developers
# The use of this source code is goverened by a BSD-style
# license that can be found in the LICENSE-file.
# This script re-generates the Xcode project files for iOS.
# Check for bad files in testdata.
./testdata/vet.bash
if [ $? -ne 0 ]; then
echo "There see... | metredigm/libmumble | build/iphoneos/generate.bash | Shell | bsd-3-clause | 732 |
#!/bin/bash
# deploy sxcmd
# requires... php, git, composer, box https://github.com/box-project/box2
set -e
# Check tag parameter
if [ $# -ne 1 ]; then
echo "Usage: `basename $0` <tag>"
exit 65 # EX_DATAERR
fi
TAG=$1
php -r "if(preg_match('/^\d+\.\d+\.\d+\$/',\$argv[1])) exit(0); else { echo 'tag is invalid' . ... | mplx/sxcmd | deploy.sh | Shell | bsd-3-clause | 1,114 |
#!/bin/bash
#
# If this script is being run by Travis, the Travis install script will
# already be in the correct directory.
# If this script is being run by desiInstall, then we need to make sure
# we are running this in ${INSTALL_DIR}.
#
[[ -n "${INSTALL_DIR}" ]] && /bin/mkdir -p ${INSTALL_DIR} && cd ${INSTALL_DIR}
#... | desihub/desimodel | etc/desimodel_data.sh | Shell | bsd-3-clause | 879 |
#! /bin/bash
set -e
./configure --prefix=$PREFIX || { cat config.log ; exit 1 ; }
make -j$(getconf _NPROCESSORS_ONLN)
make install
| klauer/conda-prescriptions | gsl-1.16/build.sh | Shell | bsd-3-clause | 134 |
export UHWMTEST_CI=yes
export UHWMTEST_TIMEOUT=8
| tjouan/uh-wm | bin/ci/travis/build-before.sh | Shell | bsd-3-clause | 49 |
#!/bin/bash
. /etc/environment
. /etc/grassroot
CURR=$PWD
cd /var/grassroot
./scripts/startmqtt.sh
nohup java -Dspring.profiles.active=$PROFILE -jar grassroot-webapp/build/libs/grassroot-webapp-1.0.0.M5.jar `cat /home/ubuntu/cmd_line_arguments` > grassroot-app.log 2>&1 &
echo $! > .pid
sleep 1
chgrp sudo /var/grassr... | mokoka/grassroot-platform | scripts/startgrassroot.sh | Shell | bsd-3-clause | 394 |
#!/bin/bash
seeds="42 132 243 314 4562"
dbs="mushroom pumsb_star"
epss="0.1 0.2 0.3 0.4 0.5 0.6 0.7 0.8 0.9 1.0"
rmaxs="3 5"
nis="50 60"
bfs="2 4 8"
for db in ${dbs}; do
for eps in ${epss}; do
for rmax in ${rmaxs}; do
for ni in ${nis}; do
for bf in ${bfs}; do
... | mihaimaruseac/dphcar | tools/run_scripts/run_tree.sh | Shell | bsd-3-clause | 540 |
#!/usr/bin/env bash
phpdoc -d ./lib -t ./docs -ti 'phpScenario Documentation' -o HTML:default:default -s on -p on
| jsylvanus/phpScenario | docgen.sh | Shell | bsd-3-clause | 114 |
#!/bin/bash
echo "Installing SASS 3.4.10"
echo "Ensuring Ruby (dependency) is installed and up to date"
yum install -y ruby ruby-devel rubygems
echo "Ruby check complete. Version: `ruby --version`"
echo "#!/bin/bash" > /etc/profile.d/local-bin.sh
echo "pathmunge /usr/local/bin after" >> /etc/profile.d/local-bin.sh
... | Firesphere/vagrant-skeleton | scripts/sass.sh | Shell | bsd-3-clause | 518 |
setup() {
GIT_DUET_TEST_DIR="${BATS_TMPDIR}/git-duet"
mkdir "$GIT_DUET_TEST_DIR"
unset GIT_DUET_GLOBAL
unset GIT_DUET_ROTATE_AUTHOR
export GIT_DUET_CONFIG_NAMESPACE='foo.bar'
export GIT_DUET_AUTHORS_FILE="${GIT_DUET_TEST_DIR}/.git-authors"
export GIT_DUET_TEST_LOOKUP="${GIT_DUET_TEST_DIR}/email-lookup"... | svett/git-duet | test/test_helper.bash | Shell | mit | 3,238 |
#!/bin/bash
# power controller
CTL="${BASEURL}index.php?/module/power/"
# Get the scripts in the proper directories
"${CURL[@]}" "${CTL}get_script/power.sh" -o "${MUNKIPATH}preflight.d/power.sh"
# Check exit status of curl
if [ $? = 0 ]; then
# Make executable
chmod a+x "${MUNKIPATH}preflight.d/power.sh"
# Set p... | poundbangbash/munkireport-php | app/modules/power/scripts/install.sh | Shell | mit | 752 |
#!/bin/sh -e
docker exec -it php-skeleton_mysql-service_1 mysql --user=root --password=root php_skeleton <tmp/php_skeleton.sql
| FunTimeCoding/php-skeleton | script/docker-compose/mysql-restore.sh | Shell | mit | 128 |
## smart urls
autoload -U url-quote-magic
zle -N self-insert url-quote-magic
## file rename magick
bindkey "^[m" copy-prev-shell-word
## jobs
setopt long_list_jobs
## pager
export PAGER=less
export LC_CTYPE=en_US.UTF-8
| nacengineer/dotfiles | oh-my-zsh/lib/misc.zsh | Shell | mit | 222 |
#!/usr/bin/env bash
# Sends out marks for students based on the folder structure used by Submit,
# the coursework submission system used in the School of Informatics at the
# University of Edinburgh.
#
# This script assumes the following folder structure:
#
# $DIR/sXXXXXXX/$CW/$FILE
#
# The variable DIR refers to th... | wenkokke/sf | versions/20.07/courses/tspl/send_marks.sh | Shell | mit | 1,313 |
#!/bin/bash
set -euxo "pipefail"
IFS=$'\n\t'
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null && pwd )"
cd "$DIR"/..
source .env
if [ -z "$SERVER_NAME" ]; then
exit 0
fi
curl \
--fail \
--resolve "$SERVER_NAME:443:localhost" \
"https://$SERVER_NAME/health"
| albertyw/base-flask | bin/healthcheck.sh | Shell | mit | 285 |
#!/bin/bash
GDAL_VERSION=$1
echo "Building GDAL $GDAL_VERSION"
wget http://download.osgeo.org/gdal/$GDAL_VERSION/gdal-$GDAL_VERSION.tar.xz
tar xJf gdal-$GDAL_VERSION.tar.xz; cd gdal-$GDAL_VERSION
./configure --prefix=/usr --enable-debug --without-libtool
make -j4
sudo make install
cd ..
gdalinfo --version
| mysidewalk/pgsql-ogr-fdw | ci/gdal_build.sh | Shell | mit | 310 |
#!/bin/bash
set -e
echo "" > coverage.txt
for d in $(go list ./... | grep -v vendor); do
race=""
# The race detector is broken on Alpine. That is #14481 (and #9918).
# So disable it for now.
if [ "${GOARCH}" = "amd64" ] && [ ! -f /etc/alpine-release ]; then
race="-race"
fi
go test $race -coverprofil... | palourde/uchiwa | build/tests.sh | Shell | mit | 460 |
#!/bin/bash
# create multiresolution windows icon
ICON_SRC=../../src/qt/res/icons/hempcoin.png
ICON_DST=../../src/qt/res/icons/hempcoin.ico
convert ${ICON_SRC} -resize 16x16 hempcoin-16.png
convert ${ICON_SRC} -resize 32x32 hempcoin-32.png
convert ${ICON_SRC} -resize 48x48 hempcoin-48.png
convert hempcoin-16.png hempco... | taimpal/hempcoin | share/qt/make_windows_icon.sh | Shell | mit | 359 |
#!/bin/bash
##########################################################################
# This script configures Transmission daemon to be ready to use.
# @author César Rodríguez González
# @version 1.3, 2016-09-21
# @license MIT
##########################################################################
# Check if the ... | cesar-rgon/desktop-app-installer | post-installation/ubuntu/Transmission_server.sh | Shell | mit | 5,826 |
#!/bin/bash
set -e
rm -rf build.paho
mkdir build.paho
cd build.paho
echo "travis build dir $TRAVIS_BUILD_DIR pwd $PWD"
cmake ..
make
python ../test/mqttsas2.py localhost 1883 1885 &
ctest -VV --timeout 600
kill %1
killall mosquitto
| eclipse/paho.mqtt.embedded-c | travis-build.sh | Shell | epl-1.0 | 234 |
MACHINE=
SCRIPT_NAME=elf
OUTPUT_FORMAT="elf32-littlearm"
BIG_OUTPUT_FORMAT="elf32-bigarm"
LITTLE_OUTPUT_FORMAT="elf32-littlearm"
TEXT_START_ADDR=0x00100000
TEMPLATE_NAME=elf32
EXTRA_EM_FILE=armelf
OTHER_TEXT_SECTIONS='*(.glue_7t) *(.glue_7)'
OTHER_BSS_SYMBOLS='__bss_start__ = .;'
OTHER_BSS_END_SYMBOLS='_bss_end__ = . ;... | ryo-on/binutils-2.14-SCO-OpenServer5 | ld/emulparams/armnto.sh | Shell | gpl-2.0 | 566 |
#/bin/bash
OUTPUT=`lava-tool submit-job http://admin:l7y5cz0ttbzedtg7ai1okum11eic3n49igs4t6uiraou0amk3bbs2uqh0impai0y7u9a6mue0ep3m081qjwnw0xtoskocz2xnyina3edkkdjooblh94110e41fl66uq1@10.192.242.176/RPC2 \
/home/r64343/workspace/lava-test/test/imx6sx_sabresd/imx6sx_sdb_vte_regression.json`
if [ $? -eq 0 ]
then
JOB_ID=... | eslover/lava-test | test/imx6sx_sabresd/start_ci_regression.sh | Shell | gpl-2.0 | 977 |
#! /bin/sh
# Copyright (C) 2013 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is di... | DDTChen/CookieVLC | vlc/extras/tools/automake/t/preproc-errmsg.sh | Shell | gpl-2.0 | 2,442 |
#!/bin/sh
# TopGit - A different patch queue manager
# (c) Petr Baudis <pasky@suse.cz> 2008
# GPLv2
force= # Whether to delete non-empty branch
name=
## Parse options
while [ -n "$1" ]; do
arg="$1"; shift
case "$arg" in
-f)
force=1;;
-*)
echo "Usage: tg [...] delete [-f] NAME" >&2
exit 1;;
*)
[ -z "$n... | jwhitley/topgit | tg-delete.sh | Shell | gpl-2.0 | 1,057 |
#internet access
sudo route del default gw 10.2.47.254 && sudo route add default gw 10.2.47.253
sudo route add -net 10.11.0.0 netmask 255.255.0.0 gw 10.2.47.254
sudo route add -net 10.2.0.0 netmask 255.255.240.0 gw 10.2.47.254
if [ ! -d "/usr/local/src/802.11ah-ns3" ]; then
# install everything first
bash /proj/wall... | drake7707/802.11ah-ns3 | setup/bootscript.sh | Shell | gpl-2.0 | 959 |
#!/bin/sh
. ../../dttools/test/test_runner_common.sh
test_dir=`basename $0 .sh`.dir
test_output=`basename $0 .sh`.output
prepare()
{
mkdir $test_dir
cd $test_dir
ln -sf ../../src/makeflow .
echo "hello" > file.1
cat > test.jx << EOF
{
"rules" :
[
{
"command" : format("cp file.%d file.%d",i,i+1),
"inpu... | nkremerh/cctools | makeflow/test/TR_makeflow_restart.sh | Shell | gpl-2.0 | 1,260 |
# ----------------------------------------------------------------------------
# http://www.infomoney.com.br
# Busca cotações do dia de algumas moedas em relação ao Real (compra e venda).
# Uso: zzcotacao
# Ex.: zzcotacao
#
# Autor: Itamar <itamarnet (a) yahoo com br>
# Desde: 2013-03-19
# Versão: 3
# Licença: GPL
# Re... | jgentina/funcoeszz | zz/zzcotacao.sh | Shell | gpl-2.0 | 908 |
#!/bin/bash
# Try to autodetect OOFFICE and OOOPYTHON.
OOFFICE=`ls /usr/bin/openoffice /usr/bin/ooffice /usr/lib/openoffice/program/soffice | head -n 1`
OOOPYTHON=`ls /usr/lib/openoffice/program/python /usr/bin/python | head -n 1`
if [ ! -x "$OOFFICE" ]
then echo "Could not auto-detect OpenOffice.org binary"
exi... | chisimba/modules | webpresent/startooo.sh | Shell | gpl-2.0 | 1,188 |
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
DIE=0
if [ -n "$GNOME2_DIR" ]; then
ACLOCAL_FLAGS="-I $GNOME2_DIR/share/aclocal $ACLOCAL_FLAGS"
LD_LIBRARY_PATH="$GNOME2_DIR/lib:$LD_LIBRARY_PATH"
PATH="$GNOME2_DIR/bin:$PATH"
export PATH
export LD... | acirmandello/ardesia | autogen.sh | Shell | gpl-3.0 | 4,544 |
# common.sh
#
# Common functions
#
# This file is part of Sosaria Rebourne. See authors.txt for copyright
# details.
#
# Sosaria Rebourne is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the... | brandon5052/sosaria-rebourne | src/common.sh | Shell | gpl-3.0 | 4,677 |
#!/bin/bash
npm install -g lintspaces-cli
sudo add-apt-repository --yes ppa:ubuntu-toolchain-r/test
sudo add-apt-repository --yes ppa:beineri/opt-qt591-trusty
sudo apt-get update
sudo apt-get install --yes build-essential gcc-4.9 g++-4.9 cmake pkg-config libjack-jackd2-dev libsndfile1-dev libasound2-dev libavahi-clien... | gusano/supercollider | .travis/before-install-linux.sh | Shell | gpl-3.0 | 748 |
#!/bin/sh
autoreconf --force --install -v
| stephaneguindon/phyml | autogen.sh | Shell | gpl-3.0 | 42 |
#!/bin/sh
MY_DIR=`dirname $0`
LOGS_DIR=/mnt/glow/log
next_file=`ls -t ${LOGS_DIR}/glow.*.log | head -1`
if [ -z "${next_file}" ]; then
exit 0
fi
${MY_DIR}/bart_process_log.sh ${next_file}
gzip ${next_file}
| almossawi/mrburns | smithers/bart_dev.sh | Shell | mpl-2.0 | 215 |
#!/bin/bash
# Installs fbthrift's dependencies to /usr/local on a clean Ubuntu 12.04 x64
# system. Primarily intended for Travis CI, since most engineers don't run
# distributions this stale.
#
# WARNING: Uses 'sudo' to upgrade your system with impunity:
# - Adds several PPAs for missing/outdated dependencies
# - I... | getyourguide/fbthrift | thrift/build/deps_ubuntu_12.04.sh | Shell | apache-2.0 | 1,787 |
#!/usr/bin/env bash
#http://www.apache.org/licenses/LICENSE-2.0.txt
#
#
#Copyright 2015 Intel Corporation
#
#Licensed under the Apache License, Version 2.0 (the "License");
#you may not use this file except in compliance with the License.
#You may obtain a copy of the License at
#
# http://www.apache.org/licenses/L... | mjbrender/snap | scripts/test.sh | Shell | apache-2.0 | 2,304 |
#! /bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# copy upstart-conf to init
echo 'configuring upstart...'
sudo cp $DIR/upstart-conf/faceswap.conf /etc/init/ &&
sudo service faceswap restart &&
sudo initctl reload-configuration &&
# copy cron job
echo 'adding cron email reminder...'
sudo cp $DIR/c... | Jamesjue/FaceSwap-server | server/script/server-setup.sh | Shell | apache-2.0 | 454 |
export SPARK_HOME=/usr/local/spark
export HADOOP_HOME=/usr/local/hadoop
export HADOOP_CONF_DIR=$HADOOP_HOME/etc/hadoop
export MASTER=yarn-client
| met-office-lab/docker-hadoop-spark | zeppelin/zeppelin-env.sh | Shell | apache-2.0 | 145 |
#!/bin/bash
#
# Copyright (C) 2015 eNovance SAS <licensing@enovance.com>
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | enovance/infra-virt | scenarios-samples/RH7.0-I.1.2.1-to-RH7.0-I.1.3.0.sh | Shell | apache-2.0 | 1,051 |
#!/bin/sh
# the IP:port our fteproxy client listens on
CLIENT_IP=127.0.0.1
CLIENT_PORT=8079
# the IP:port our fteproxy server listens on
SERVER_IP=127.0.0.1
SERVER_PORT=8080
# the IP:port where our fteproxy forwards all connections
# in this test, it's the IP:port the server-side netcat will bind to
PROXY_IP=127.0.0... | irdan/fteproxy | examples/netcat/netcat_verbose.sh | Shell | apache-2.0 | 879 |
#!/bin/bash
# --- begin runfiles.bash initialization v2 ---
# Copy-pasted from the Bazel Bash runfiles library v2.
set -uo pipefail; f=build_bazel_rules_nodejs/third_party/github.com/bazelbuild/bazel/tools/bash/runfiles/runfiles.bash
source "${RUNFILES_DIR:-/dev/null}/$f" 2>/dev/null || \
source "$(grep -sm1 "^$f " ... | alexeagle/rules_nodejs | internal/npm_install/test/bazel_bin_test.sh | Shell | apache-2.0 | 943 |
export CVMFS_PLATFORM_NAME="debian$(. /etc/os-release && echo "$VERSION_ID")-$(uname -m)"
export CVMFS_TIMESTAMP=$(date -u +'%Y-%m-%dT%H:%M:%SZ')
# source the common platform independent functionality and option parsing
script_location=$(cd "$(dirname "$0")"; pwd)
. ${script_location}/common_test.sh
retval=0
echo "... | DrDaveD/cvmfs | test/cloud_testing/platforms/debian_test.sh | Shell | bsd-3-clause | 4,034 |
#!/bin/sh
# Because of a long-running npm issue (https://github.com/npm/npm/issues/3059)
# prepublish runs after `npm install` and `npm pack`.
# In order to only run prepublish before `npm publish`, we have to check argv.
if node -e "process.exit(($npm_config_argv).original[0].indexOf('pu') === 0)"; then
exit 0;
fi... | zerkalica/regexp-input | conf/resources/prepublish.sh | Shell | mit | 938 |
#! /bin/bash
#this script should be sourced by all provisioning scripts
# it is NOT idempotent and will result in duplicate keys in authorized_keys if run a 2nd time
# in this lower security approach there is just one key pair used across every node
# we don't want a permanent set for whole cluster so it can't go in Ba... | dm-academy/Calavera | cookbooks/base/files/ssh.sh | Shell | mit | 2,355 |
#!/bin/bash
camelcaseId=$1
[ $# -eq 0 ] && { echo "Usage: $0 <BindingIdInCamelCase>"; exit 1; }
id=`echo $camelcaseId | tr '[:upper:]' '[:lower:]'`
[ -d org.openhab.binding.$id ] || { echo "The binding with the id must exist: org.openhab.binding.$id"; exit 1; }
mvn -s ../archetype-settings.xml archetype:generate -N... | AndyXMB/openhab2-addons | addons/binding/create_openhab_binding_test_skeleton.sh | Shell | epl-1.0 | 852 |
#!/bin/bash
# Find the top-level Rekall dir and change to it:
# Change working dir to one containing this script.
cd "$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# Recurse up until we get to the top-level.
while [ ! -e "setup.py" ]
do
cd ..
if [[ "$(pwd)" == "/" ]]
then
echo "Cannot find rekall d... | palaniyappanBala/rekall | tools/devel/presubmit.sh | Shell | gpl-2.0 | 682 |
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (c) Köry Maincent <kory.maincent@bootlin.com> 2020
# Copyright (c) 2015 Red Hat, Inc.
#
# SYNOPSIS:
# netns_comm.sh <NS_EXEC_PROGRAM> <IP_VERSION> <COMM_TYPE>
#
# OPTIONS:
# * NS_EXEC_PROGRAM (ns_exec|ip)
# Program which will be used ... | pevik/ltp | testcases/kernel/containers/netns/netns_comm.sh | Shell | gpl-2.0 | 2,066 |
#!/bin/bash
# Nginx proxy
docker run -d -p 80:80 -p 443:443 \
--name nginx-proxy \
--restart always \
-v /opt/certs:/etc/nginx/certs:ro \
-v /etc/nginx/vhost.d \
-v /usr/share/nginx/html \
-v /var/run/docker.sock:/tmp/docker.sock:ro \
jwilder/nginx-proxy:latest
# Let's Encrypt agent
docker run -d \
--... | pstuart/Open-Dash | .scripts/ssl-setup.sh | Shell | gpl-3.0 | 506 |
#!/bin/sh
#
# Copyright (C) 2015, 2016 Internet Systems Consortium, Inc. ("ISC")
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
SYSTEMTESTTOP=..
. $SYSTEMTESTTOP/co... | each/bind9-collab | bin/tests/system/dyndb/tests.sh | Shell | mpl-2.0 | 3,692 |
#!/bin/sh
if [ $# -ne 2 ]; then
echo "You need to supply two arguments, e.g.:"
echo "$0 mimetypes/text-plain mimetypes/text-x-generic"
exit
fi
# Split the two arguments into their category and icon name parts.
src="$1"
src_category=${src%/*}
src_icon=${src#*/}
dest="$2"
dest_category=${dest%/*}
dest_icon=${des... | scandyna/multidiagtools | icons/oxygen/icon-copy.sh | Shell | lgpl-3.0 | 1,198 |
#
# /**------- <| --------------------------------------------------------**
# ** A Clan **
# **--- /.\ -----------------------------------------------------**
# ** <| [""M# change_clan_version_in_refs.sh **
# **- ... | ftynse/clan | tests/change_clan_version_in_refs.sh | Shell | lgpl-3.0 | 3,008 |
#!/bin/sh
set -e # Fail fast
# PEP8 is not ignored in ACME
pep8 --config=acme/.pep8 acme
pep8 \
setup.py \
letsencrypt \
letsencrypt-apache \
letsencrypt-nginx \
letsencrypt-compatibility-test \
letshelp-letsencrypt \
|| echo "PEP8 checking failed, but it's ignored in Travis"
# echo exits with 0
| thanatos/lets-encrypt-preview | pep8.travis.sh | Shell | apache-2.0 | 316 |
#!/bin/bash
TARGET_ARCH=$1
TARGET_API=$2
CROSS_COMPILE=$3
GIT_INSTALL=${4:-master}
if [ -z "${TARGET_ARCH}" ]; then
echo STDERR "Missing TARGET_ARCH argument"
echo STDERR "e.g. x86 or arm"
exit 1
fi
if [ -z "${TARGET_API}" ]; then
echo STDERR "Missing TARGET_API argument"
echo STDERR "e.g. 21"
... | srottem/indy-sdk | vcx/libvcx/build_scripts/android/vcx/build.sh | Shell | apache-2.0 | 3,863 |
#!/bin/sh
if [ -z "$APP_PATH" ]; then
# TODO: set APP_PATH to the installed path of your application
APP_PATH='/usr/local/bin/tests_script_gen_highlevel_empty'
fi
if ! [ -f "$APP_PATH" ]; then
echo "ERROR: APP_PATH points to non-existent file" 1>&2
exit 1
fi
error_other_mp() {
echo "ERROR: another mountpoint al... | mpranj/libelektra | tests/shell/gen/highlevel/empty.expected.mount.sh | Shell | bsd-3-clause | 1,749 |
#!/bin/bash
FN="MeSH.Laf.eg.db_1.13.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.12/data/annotation/src/contrib/MeSH.Laf.eg.db_1.13.0.tar.gz"
"https://bioarchive.galaxyproject.org/MeSH.Laf.eg.db_1.13.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-mesh.laf.eg.db/bioconductor-mesh.laf.eg.... | bebatut/bioconda-recipes | recipes/bioconductor-mesh.laf.eg.db/post-link.sh | Shell | mit | 1,445 |
#!/bin/bash
FN="hapmap370k_1.0.1.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.12/data/annotation/src/contrib/hapmap370k_1.0.1.tar.gz"
"https://bioarchive.galaxyproject.org/hapmap370k_1.0.1.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-hapmap370k/bioconductor-hapmap370k_1.0.1_src_all.tar.gz... | bebatut/bioconda-recipes | recipes/bioconductor-hapmap370k/post-link.sh | Shell | mit | 1,412 |
#!/bin/sh
targetdir="$1"
notice() {
echo $* 1>&2
}
list_files() {
find . -type f \
! -name "Root" \
! -name "Repository" \
! -name "Entries.Old" \
! -name "Entries.Extra.Old" \
! -name "Template" \
! -name "Entries" \
! -name "Entries.Extra" \
| sed 's/\.\/\(.*\)/"\1"/'
}
list=$(c... | ifreecarve/nightingale-hacking | tools/scripts/list-files.sh | Shell | gpl-2.0 | 470 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.